/* sclovar.cpp */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <locale.h>


struct CountriesInfo
{   char *locale;
    char *country;
    int  code;
    int  codepage;
};

struct CountriesInfo  Countries[] =
{

/*   ࠭                     CP  */

"ar_AA", "ࠡ᪨ ࠭",      785,  864,
"bg_BG", "",             359,  915,
//???                    36    852    850   1004

"cs_SZ", "",                421,  852,
"da_DK", "",                45,   850,
"de_AT", "",              43,   850,
"de_CH", " (檨)", 41,   850,
"de_DE", "ଠ",             49,   850,
"el_GR", "",               30,   869,
"en_AU", "ࠫ",            61,   850,
"en_GB", "⠭",       44,   850,
"en_IE", "ૠ",             353,  850,
"en_NZ", " ",       64,   850,
"en_US", "",                  1,    850,
"en_ZA", " ਪ",         27,   850,
"es_ES", "ᯠ",              34,   850,
"es_LA", "⨭᪠ ਪ",    3,    850,
"et_EE", "⮭",              372,  922,
"fi_FI", "ﭤ",            358,  850,
"fr_BE", "죨(࠭᪨)", 32,   850,

"fr_CA", " (࠭᪨)", 2,    850,
"fr_CH", "(࠭᪨)",41,   850,
"fr_FR", "࠭",              33,   850,
"hr_HR", "ࢠ",             385,  852,
//hu_HU       
"is_IS", "᫠",             354,  850,
"it_CH", "(⠫.)",41,   850,
"it_IT", "⠫",               39,   850,
"iw_IL", "ࠨ",              972,  862,
"ja_JP", "",               81,   943,
"ko_KR", "",                82,   949,
"lt_LT", "⢠",                370,  921,
"lv_LV", "⢨",               371,  921,
"mk_MK", " (FYR )",     389,  855,
"nl_BE", "죨 (䫠᪨)",32,   850,
"nl_NL", "ૠ",           31,   850,
"no_NO", "ࢥ",             47,   850,
"pl_PL", "",               48,   852,
"pt_BR", "ࠧ",             55,   850,
"pt_PT", "㣠",           351,  850,
"ro_RO", "뭨",              40,   852,
"ru_RU", "",               7,    866,
"sh_BA", "᭨/楣",   387,  852,
"sk_SK", "",             422,  852,
"sl_SL", "",             386,  852,
"sq_AL", "",              355,  850,
"sr_SP", "ࡨ/୮",    381,  855,
"sv_SE", "",               46,   850,
"th_TH", "",              66,   874,
"tr_TR", "",               90,   857,
"zh_CN", "⠩ (PRC)",          86,   1381,
"zh_TW", " ( ROC)",       88,   950,
"ru_UA", "UKRAINE"       ,       7,    866,
"uk_UA", "UKRAINE"       ,       7,    866
};

//⠭  ᫮
char * SlovarSetLocale(char *Locale)
{  char *plocale=NULL;
   int i,nCountries;
   char str[64], str1[64], *pstr;

   nCountries =  sizeof(Countries) / sizeof(struct CountriesInfo);

   plocale = setlocale(LC_ALL,Locale);
   if(plocale == NULL)
   {    strcpy(str,Locale);
        pstr = strstr(str,".");
        if(pstr) *pstr = 0;
        plocale = setlocale(LC_ALL,str);
        if(!plocale)
        {  for(i=0;i< nCountries; i++)
           {  if(!stricmp(str,Countries[i].locale) )
              {     sprintf(str1,"%s.IBM-%i",str,Countries[i].codepage);
                    plocale = setlocale(LC_ALL,str1);
                    break;
              }
           }
        }
   }

   return plocale;
}


